Bug 736768 - Review Request: perl-Carp - Alternative warn and die for modules
Summary: Review Request: perl-Carp - Alternative warn and die for modules
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 16:11 UTC by Petr Pisar
Modified: 2011-09-13 14:18 UTC (History)
3 users (show)

Fixed In Version: perl-Carp-1.22-1.fcf17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 14:18:23 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-09-08 16:11:16 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Carp/perl-Carp.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Carp/perl-Carp-1.22-1.fc17.src.rpm
Description:
The Carp routines are useful in your own modules because they act like
die() or warn(), but with a message which is more likely to be useful to a
user of your module. In the case of cluck, confess, and longmess that
context is a summary of every call in the call-stack. For a shorter message
you can use carp or croak which report the error as being from where your
module was called. There is no guarantee that that is where the error was,
but it is a good educated guess.


This package provides Perl Carp module to dual-live with module from bundled perl.spec. Upstream decided to put Carp package into CPAN for easier maintenance (http://thread.gmane.org/gmane.comp.lang.perl.perl5.porters/98699). So Fedora follows.

This package targets F17 and will be built after sub-packaging Carp modules into perl.spec perl-Carp.

Comment 1 Petr Šabata 2011-09-12 12:31:06 UTC
Package: perl-Carp
Version: 1.22
Release: 1.fc17
Sources: Carp-1.22.tar.gz
Patches: 
----------
Package successfully built locally.
Package successfully built in mock, fedora-rawhide-x86_64.
Package successfully built in koji, dist-rawhide.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[  OK  ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[  OK  ] Package obeys FHS (with _libexecdir and /srv exceptions)
[  OK  ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[  OK  ] Requires correct or justified otherwise
[  OK  ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  --  ] Compiler flags honor Fedora defaults or are justified
[  --  ] Package generates useful debuginfo packages
[  --  ] Header files are placed in devel subpackage
[  --  ] Unversioned shared libraries are placed in devel subpackage
[  --  ] Pkgconfig files are placed in devel subpackage
[  --  ] Full-versioned Requires of the base package in subpackages
[  --  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  --  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains working systemd unit files and requires systemd-units
[  --  ] All systemd unit files are named according to the Guidelines
[  --  ] Package contains a SystemV-compatible initscript only as an optional addition to systemd unit files
[  --  ] If package contains an initscript, it's placed in sysvinit subpackage
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  --  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  --  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[  OK  ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[  OK  ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[  OK  ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  OK  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[  --  ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  OK  ] Package works as expected

NOTES:
------
Everything seems fine.

Comment 2 Petr Pisar 2011-09-13 12:00:24 UTC
New Package SCM Request
=======================
Package Name: perl-Carp 
Short Description: Alternative warn and die for modules
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2011-09-13 12:30:08 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2011-09-13 14:18:23 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.